Bug 17393 - svg/custom/use-on-symbol-inside-pattern.svg is failing
Summary: svg/custom/use-on-symbol-inside-pattern.svg is failing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Andreas Kling
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-16 09:41 PST by Darin Adler
Modified: 2010-10-14 08:49 PDT (History)
6 users (show)

See Also:


Attachments
Reenable svg/custom/use-on-symbol-inside-pattern.svg (42.50 KB, patch)
2009-12-30 13:11 PST, Dirk Schulze
no flags Details | Formatted Diff | Diff
Re-enable tests (2.02 KB, patch)
2010-10-09 13:41 PDT, Andreas Kling
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2008-02-16 09:41:21 PST
This test is failing. We should figure out if it needs new results or to be changed otherwise.
Comment 1 Nikolas Zimmermann 2008-09-21 18:54:04 PDT
This test works again in trunk. We can reenable it.
Comment 2 Dirk Schulze 2009-12-30 13:11:06 PST
Created attachment 45679 [details]
Reenable svg/custom/use-on-symbol-inside-pattern.svg

Reenable svg/custom/use-on-symbol-inside-pattern.svg. It isn't failing anymore.
Comment 3 WebKit Review Bot 2009-12-30 13:15:30 PST
style-queue ran check-webkit-style on attachment 45679 [details] without any errors.
Comment 4 Anders Carlsson 2009-12-30 13:16:03 PST
Comment on attachment 45679 [details]
Reenable svg/custom/use-on-symbol-inside-pattern.svg

rs=me
Comment 5 WebKit Commit Bot 2009-12-30 13:25:01 PST
Comment on attachment 45679 [details]
Reenable svg/custom/use-on-symbol-inside-pattern.svg

Clearing flags on attachment: 45679

Committed r52671: <http://trac.webkit.org/changeset/52671>
Comment 6 WebKit Commit Bot 2009-12-30 13:25:06 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Nikolas Zimmermann 2010-01-04 07:58:29 PST
Okay, this test still fails on Tiger & Windows. It's a 0.0 vs -0.0 issue in the path debug string, probably related due the Cg implementation of Path::debugString(). In order to fix the issue for real, we need to write a cross-platform debugString() method, which doesn't suffer from 32 vs 64 bit rounding issues.
Going to skip this test on tiger & windows again.
Comment 8 Nikolas Zimmermann 2010-07-08 01:48:27 PDT
Changed component to SVG, so it shows up in my all-svg-bugs search.
Comment 9 Andreas Kling 2010-10-09 13:41:15 PDT
Created attachment 70371 [details]
Re-enable tests

The debugString() problem disappeared with <http://trac.webkit.org/changeset/69386>
Comment 10 Dirk Schulze 2010-10-09 21:15:44 PDT
Comment on attachment 70371 [details]
Re-enable tests

Reenable tests is always good!
Comment 11 Eric Seidel (no email) 2010-10-13 12:29:05 PDT
Attachment 70371 [details] was posted by a committer and has review+, assigning to Andreas Kling for commit.
Comment 12 Andreas Kling 2010-10-14 01:18:13 PDT
Comment on attachment 70371 [details]
Re-enable tests

Clearing flags on attachment: 70371

Committed r69750: <http://trac.webkit.org/changeset/69750>
Comment 13 Andreas Kling 2010-10-14 01:18:25 PDT
All reviewed patches have been landed.  Closing bug.
Comment 14 Eric Seidel (no email) 2010-10-14 08:39:02 PDT
This broke teh windows bot:
Build 5144 (r69750) was the first to show failures: set([u'svg/custom/use-on-symbol-inside-pattern.svg'])
Comment 15 Andreas Kling 2010-10-14 08:49:50 PDT
(In reply to comment #14)
> This broke teh windows bot:
> Build 5144 (r69750) was the first to show failures: set([u'svg/custom/use-on-symbol-inside-pattern.svg'])

Right. This test should be rebaselined for all platforms. Unfortunately build.webkit.org is not responding to my pokes right now ;(